IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network248.99.8.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
248.99.8.0- Broadcast address
248.99.11.255- First usable
248.99.8.1- Last usable
248.99.11.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F8630800· Integer4167239680to4167240703 - Reverse DNS zones
8.99.248.in-addr.arpa9.99.248.in-addr.arpa10.99.248.in-addr.arpa11.99.248.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11111000.01100011.00001000.00000000 | 248.99.8.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 11111000.01100011.00001000.00000000 | 248.99.8.0 |
| Broadcast | 11111000.01100011.00001011.11111111 | 248.99.11.255 |
Split into smaller subnets
248.99.8.0/22 makes 512 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 248.99.8.0/31 | 248.99.8.0 to 248.99.8.1 | — | 2 |
| 2 | 248.99.8.2/31 | 248.99.8.2 to 248.99.8.3 | — | 2 |
| 3 | 248.99.8.4/31 | 248.99.8.4 to 248.99.8.5 | — | 2 |
| 4 | 248.99.8.6/31 | 248.99.8.6 to 248.99.8.7 | — | 2 |
| 5 | 248.99.8.8/31 | 248.99.8.8 to 248.99.8.9 | — | 2 |
| 6 | 248.99.8.10/31 | 248.99.8.10 to 248.99.8.11 | — | 2 |
| 7 | 248.99.8.12/31 | 248.99.8.12 to 248.99.8.13 | — | 2 |
| 8 | 248.99.8.14/31 | 248.99.8.14 to 248.99.8.15 | — | 2 |
| 9 | 248.99.8.16/31 | 248.99.8.16 to 248.99.8.17 | — | 2 |
| 10 | 248.99.8.18/31 | 248.99.8.18 to 248.99.8.19 | — | 2 |
| 11 | 248.99.8.20/31 | 248.99.8.20 to 248.99.8.21 | — | 2 |
| 12 | 248.99.8.22/31 | 248.99.8.22 to 248.99.8.23 | — | 2 |
| 13 | 248.99.8.24/31 | 248.99.8.24 to 248.99.8.25 | — | 2 |
| 14 | 248.99.8.26/31 | 248.99.8.26 to 248.99.8.27 | — | 2 |
| 15 | 248.99.8.28/31 | 248.99.8.28 to 248.99.8.29 | — | 2 |
| 16 | 248.99.8.30/31 | 248.99.8.30 to 248.99.8.31 | — | 2 |
| 17 | 248.99.8.32/31 | 248.99.8.32 to 248.99.8.33 | — | 2 |
| 18 | 248.99.8.34/31 | 248.99.8.34 to 248.99.8.35 | — | 2 |
| 19 | 248.99.8.36/31 | 248.99.8.36 to 248.99.8.37 | — | 2 |
| 20 | 248.99.8.38/31 | 248.99.8.38 to 248.99.8.39 | — | 2 |
| 21 | 248.99.8.40/31 | 248.99.8.40 to 248.99.8.41 | — | 2 |
| 22 | 248.99.8.42/31 | 248.99.8.42 to 248.99.8.43 | — | 2 |
| 23 | 248.99.8.44/31 | 248.99.8.44 to 248.99.8.45 | — | 2 |
| 24 | 248.99.8.46/31 | 248.99.8.46 to 248.99.8.47 | — | 2 |
| 25 | 248.99.8.48/31 | 248.99.8.48 to 248.99.8.49 | — | 2 |
| 26 | 248.99.8.50/31 | 248.99.8.50 to 248.99.8.51 | — | 2 |
| 27 | 248.99.8.52/31 | 248.99.8.52 to 248.99.8.53 | — | 2 |
| 28 | 248.99.8.54/31 | 248.99.8.54 to 248.99.8.55 | — | 2 |
| 29 | 248.99.8.56/31 | 248.99.8.56 to 248.99.8.57 | — | 2 |
| 30 | 248.99.8.58/31 | 248.99.8.58 to 248.99.8.59 | — | 2 |
| 31 | 248.99.8.60/31 | 248.99.8.60 to 248.99.8.61 | — | 2 |
| 32 | 248.99.8.62/31 | 248.99.8.62 to 248.99.8.63 | — | 2 |
| 33 | 248.99.8.64/31 | 248.99.8.64 to 248.99.8.65 | — | 2 |
| 34 | 248.99.8.66/31 | 248.99.8.66 to 248.99.8.67 | — | 2 |
| 35 | 248.99.8.68/31 | 248.99.8.68 to 248.99.8.69 | — | 2 |
| 36 | 248.99.8.70/31 | 248.99.8.70 to 248.99.8.71 | — | 2 |
| 37 | 248.99.8.72/31 | 248.99.8.72 to 248.99.8.73 | — | 2 |
| 38 | 248.99.8.74/31 | 248.99.8.74 to 248.99.8.75 | — | 2 |
| 39 | 248.99.8.76/31 | 248.99.8.76 to 248.99.8.77 | — | 2 |
| 40 | 248.99.8.78/31 | 248.99.8.78 to 248.99.8.79 | — | 2 |
| 41 | 248.99.8.80/31 | 248.99.8.80 to 248.99.8.81 | — | 2 |
| 42 | 248.99.8.82/31 | 248.99.8.82 to 248.99.8.83 | — | 2 |
| 43 | 248.99.8.84/31 | 248.99.8.84 to 248.99.8.85 | — | 2 |
| 44 | 248.99.8.86/31 | 248.99.8.86 to 248.99.8.87 | — | 2 |
| 45 | 248.99.8.88/31 | 248.99.8.88 to 248.99.8.89 | — | 2 |
| 46 | 248.99.8.90/31 | 248.99.8.90 to 248.99.8.91 | — | 2 |
| 47 | 248.99.8.92/31 | 248.99.8.92 to 248.99.8.93 | — | 2 |
| 48 | 248.99.8.94/31 | 248.99.8.94 to 248.99.8.95 | — | 2 |
| 49 | 248.99.8.96/31 | 248.99.8.96 to 248.99.8.97 | — | 2 |
| 50 | 248.99.8.98/31 | 248.99.8.98 to 248.99.8.99 | — | 2 |
| 51 | 248.99.8.100/31 | 248.99.8.100 to 248.99.8.101 | — | 2 |
| 52 | 248.99.8.102/31 | 248.99.8.102 to 248.99.8.103 | — | 2 |
| 53 | 248.99.8.104/31 | 248.99.8.104 to 248.99.8.105 | — | 2 |
| 54 | 248.99.8.106/31 | 248.99.8.106 to 248.99.8.107 | — | 2 |
| 55 | 248.99.8.108/31 | 248.99.8.108 to 248.99.8.109 | — | 2 |
| 56 | 248.99.8.110/31 | 248.99.8.110 to 248.99.8.111 | — | 2 |
| 57 | 248.99.8.112/31 | 248.99.8.112 to 248.99.8.113 | — | 2 |
| 58 | 248.99.8.114/31 | 248.99.8.114 to 248.99.8.115 | — | 2 |
| 59 | 248.99.8.116/31 | 248.99.8.116 to 248.99.8.117 | — | 2 |
| 60 | 248.99.8.118/31 | 248.99.8.118 to 248.99.8.119 | — | 2 |
| 61 | 248.99.8.120/31 | 248.99.8.120 to 248.99.8.121 | — | 2 |
| 62 | 248.99.8.122/31 | 248.99.8.122 to 248.99.8.123 | — | 2 |
| 63 | 248.99.8.124/31 | 248.99.8.124 to 248.99.8.125 | — | 2 |
| 64 | 248.99.8.126/31 | 248.99.8.126 to 248.99.8.127 | — | 2 |
| 65 | 248.99.8.128/31 | 248.99.8.128 to 248.99.8.129 | — | 2 |
| 66 | 248.99.8.130/31 | 248.99.8.130 to 248.99.8.131 | — | 2 |
| 67 | 248.99.8.132/31 | 248.99.8.132 to 248.99.8.133 | — | 2 |
| 68 | 248.99.8.134/31 | 248.99.8.134 to 248.99.8.135 | — | 2 |
| 69 | 248.99.8.136/31 | 248.99.8.136 to 248.99.8.137 | — | 2 |
| 70 | 248.99.8.138/31 | 248.99.8.138 to 248.99.8.139 | — | 2 |
| 71 | 248.99.8.140/31 | 248.99.8.140 to 248.99.8.141 | — | 2 |
| 72 | 248.99.8.142/31 | 248.99.8.142 to 248.99.8.143 | — | 2 |
| 73 | 248.99.8.144/31 | 248.99.8.144 to 248.99.8.145 | — | 2 |
| 74 | 248.99.8.146/31 | 248.99.8.146 to 248.99.8.147 | — | 2 |
| 75 | 248.99.8.148/31 | 248.99.8.148 to 248.99.8.149 | — | 2 |
| 76 | 248.99.8.150/31 | 248.99.8.150 to 248.99.8.151 | — | 2 |
| 77 | 248.99.8.152/31 | 248.99.8.152 to 248.99.8.153 | — | 2 |
| 78 | 248.99.8.154/31 | 248.99.8.154 to 248.99.8.155 | — | 2 |
| 79 | 248.99.8.156/31 | 248.99.8.156 to 248.99.8.157 | — | 2 |
| 80 | 248.99.8.158/31 | 248.99.8.158 to 248.99.8.159 | — | 2 |
| 81 | 248.99.8.160/31 | 248.99.8.160 to 248.99.8.161 | — | 2 |
| 82 | 248.99.8.162/31 | 248.99.8.162 to 248.99.8.163 | — | 2 |
| 83 | 248.99.8.164/31 | 248.99.8.164 to 248.99.8.165 | — | 2 |
| 84 | 248.99.8.166/31 | 248.99.8.166 to 248.99.8.167 | — | 2 |
| 85 | 248.99.8.168/31 | 248.99.8.168 to 248.99.8.169 | — | 2 |
| 86 | 248.99.8.170/31 | 248.99.8.170 to 248.99.8.171 | — | 2 |
| 87 | 248.99.8.172/31 | 248.99.8.172 to 248.99.8.173 | — | 2 |
| 88 | 248.99.8.174/31 | 248.99.8.174 to 248.99.8.175 | — | 2 |
| 89 | 248.99.8.176/31 | 248.99.8.176 to 248.99.8.177 | — | 2 |
| 90 | 248.99.8.178/31 | 248.99.8.178 to 248.99.8.179 | — | 2 |
| 91 | 248.99.8.180/31 | 248.99.8.180 to 248.99.8.181 | — | 2 |
| 92 | 248.99.8.182/31 | 248.99.8.182 to 248.99.8.183 | — | 2 |
| 93 | 248.99.8.184/31 | 248.99.8.184 to 248.99.8.185 | — | 2 |
| 94 | 248.99.8.186/31 | 248.99.8.186 to 248.99.8.187 | — | 2 |
| 95 | 248.99.8.188/31 | 248.99.8.188 to 248.99.8.189 | — | 2 |
| 96 | 248.99.8.190/31 | 248.99.8.190 to 248.99.8.191 | — | 2 |
| 97 | 248.99.8.192/31 | 248.99.8.192 to 248.99.8.193 | — | 2 |
| 98 | 248.99.8.194/31 | 248.99.8.194 to 248.99.8.195 | — | 2 |
| 99 | 248.99.8.196/31 | 248.99.8.196 to 248.99.8.197 | — | 2 |
| 100 | 248.99.8.198/31 | 248.99.8.198 to 248.99.8.199 | — | 2 |
| 101 | 248.99.8.200/31 | 248.99.8.200 to 248.99.8.201 | — | 2 |
| 102 | 248.99.8.202/31 | 248.99.8.202 to 248.99.8.203 | — | 2 |
| 103 | 248.99.8.204/31 | 248.99.8.204 to 248.99.8.205 | — | 2 |
| 104 | 248.99.8.206/31 | 248.99.8.206 to 248.99.8.207 | — | 2 |
| 105 | 248.99.8.208/31 | 248.99.8.208 to 248.99.8.209 | — | 2 |
| 106 | 248.99.8.210/31 | 248.99.8.210 to 248.99.8.211 | — | 2 |
| 107 | 248.99.8.212/31 | 248.99.8.212 to 248.99.8.213 | — | 2 |
| 108 | 248.99.8.214/31 | 248.99.8.214 to 248.99.8.215 | — | 2 |
| 109 | 248.99.8.216/31 | 248.99.8.216 to 248.99.8.217 | — | 2 |
| 110 | 248.99.8.218/31 | 248.99.8.218 to 248.99.8.219 | — | 2 |
| 111 | 248.99.8.220/31 | 248.99.8.220 to 248.99.8.221 | — | 2 |
| 112 | 248.99.8.222/31 | 248.99.8.222 to 248.99.8.223 | — | 2 |
| 113 | 248.99.8.224/31 | 248.99.8.224 to 248.99.8.225 | — | 2 |
| 114 | 248.99.8.226/31 | 248.99.8.226 to 248.99.8.227 | — | 2 |
| 115 | 248.99.8.228/31 | 248.99.8.228 to 248.99.8.229 | — | 2 |
| 116 | 248.99.8.230/31 | 248.99.8.230 to 248.99.8.231 | — | 2 |
| 117 | 248.99.8.232/31 | 248.99.8.232 to 248.99.8.233 | — | 2 |
| 118 | 248.99.8.234/31 | 248.99.8.234 to 248.99.8.235 | — | 2 |
| 119 | 248.99.8.236/31 | 248.99.8.236 to 248.99.8.237 | — | 2 |
| 120 | 248.99.8.238/31 | 248.99.8.238 to 248.99.8.239 | — | 2 |
| 121 | 248.99.8.240/31 | 248.99.8.240 to 248.99.8.241 | — | 2 |
| 122 | 248.99.8.242/31 | 248.99.8.242 to 248.99.8.243 | — | 2 |
| 123 | 248.99.8.244/31 | 248.99.8.244 to 248.99.8.245 | — | 2 |
| 124 | 248.99.8.246/31 | 248.99.8.246 to 248.99.8.247 | — | 2 |
| 125 | 248.99.8.248/31 | 248.99.8.248 to 248.99.8.249 | — | 2 |
| 126 | 248.99.8.250/31 | 248.99.8.250 to 248.99.8.251 | — | 2 |
| 127 | 248.99.8.252/31 | 248.99.8.252 to 248.99.8.253 | — | 2 |
| 128 | 248.99.8.254/31 | 248.99.8.254 to 248.99.8.255 | — | 2 |
| 129 | 248.99.9.0/31 | 248.99.9.0 to 248.99.9.1 | — | 2 |
| 130 | 248.99.9.2/31 | 248.99.9.2 to 248.99.9.3 | — | 2 |
| 131 | 248.99.9.4/31 | 248.99.9.4 to 248.99.9.5 | — | 2 |
| 132 | 248.99.9.6/31 | 248.99.9.6 to 248.99.9.7 | — | 2 |
| 133 | 248.99.9.8/31 | 248.99.9.8 to 248.99.9.9 | — | 2 |
| 134 | 248.99.9.10/31 | 248.99.9.10 to 248.99.9.11 | — | 2 |
| 135 | 248.99.9.12/31 | 248.99.9.12 to 248.99.9.13 | — | 2 |
| 136 | 248.99.9.14/31 | 248.99.9.14 to 248.99.9.15 | — | 2 |
| 137 | 248.99.9.16/31 | 248.99.9.16 to 248.99.9.17 | — | 2 |
| 138 | 248.99.9.18/31 | 248.99.9.18 to 248.99.9.19 | — | 2 |
| 139 | 248.99.9.20/31 | 248.99.9.20 to 248.99.9.21 | — | 2 |
| 140 | 248.99.9.22/31 | 248.99.9.22 to 248.99.9.23 | — | 2 |
| 141 | 248.99.9.24/31 | 248.99.9.24 to 248.99.9.25 | — | 2 |
| 142 | 248.99.9.26/31 | 248.99.9.26 to 248.99.9.27 | — | 2 |
| 143 | 248.99.9.28/31 | 248.99.9.28 to 248.99.9.29 | — | 2 |
| 144 | 248.99.9.30/31 | 248.99.9.30 to 248.99.9.31 | — | 2 |
| 145 | 248.99.9.32/31 | 248.99.9.32 to 248.99.9.33 | — | 2 |
| 146 | 248.99.9.34/31 | 248.99.9.34 to 248.99.9.35 | — | 2 |
| 147 | 248.99.9.36/31 | 248.99.9.36 to 248.99.9.37 | — | 2 |
| 148 | 248.99.9.38/31 | 248.99.9.38 to 248.99.9.39 | — | 2 |
| 149 | 248.99.9.40/31 | 248.99.9.40 to 248.99.9.41 | — | 2 |
| 150 | 248.99.9.42/31 | 248.99.9.42 to 248.99.9.43 | — | 2 |
| 151 | 248.99.9.44/31 | 248.99.9.44 to 248.99.9.45 | — | 2 |
| 152 | 248.99.9.46/31 | 248.99.9.46 to 248.99.9.47 | — | 2 |
| 153 | 248.99.9.48/31 | 248.99.9.48 to 248.99.9.49 | — | 2 |
| 154 | 248.99.9.50/31 | 248.99.9.50 to 248.99.9.51 | — | 2 |
| 155 | 248.99.9.52/31 | 248.99.9.52 to 248.99.9.53 | — | 2 |
| 156 | 248.99.9.54/31 | 248.99.9.54 to 248.99.9.55 | — | 2 |
| 157 | 248.99.9.56/31 | 248.99.9.56 to 248.99.9.57 | — | 2 |
| 158 | 248.99.9.58/31 | 248.99.9.58 to 248.99.9.59 | — | 2 |
| 159 | 248.99.9.60/31 | 248.99.9.60 to 248.99.9.61 | — | 2 |
| 160 | 248.99.9.62/31 | 248.99.9.62 to 248.99.9.63 | — | 2 |
| 161 | 248.99.9.64/31 | 248.99.9.64 to 248.99.9.65 | — | 2 |
| 162 | 248.99.9.66/31 | 248.99.9.66 to 248.99.9.67 | — | 2 |
| 163 | 248.99.9.68/31 | 248.99.9.68 to 248.99.9.69 | — | 2 |
| 164 | 248.99.9.70/31 | 248.99.9.70 to 248.99.9.71 | — | 2 |
| 165 | 248.99.9.72/31 | 248.99.9.72 to 248.99.9.73 | — | 2 |
| 166 | 248.99.9.74/31 | 248.99.9.74 to 248.99.9.75 | — | 2 |
| 167 | 248.99.9.76/31 | 248.99.9.76 to 248.99.9.77 | — | 2 |
| 168 | 248.99.9.78/31 | 248.99.9.78 to 248.99.9.79 | — | 2 |
| 169 | 248.99.9.80/31 | 248.99.9.80 to 248.99.9.81 | — | 2 |
| 170 | 248.99.9.82/31 | 248.99.9.82 to 248.99.9.83 | — | 2 |
| 171 | 248.99.9.84/31 | 248.99.9.84 to 248.99.9.85 | — | 2 |
| 172 | 248.99.9.86/31 | 248.99.9.86 to 248.99.9.87 | — | 2 |
| 173 | 248.99.9.88/31 | 248.99.9.88 to 248.99.9.89 | — | 2 |
| 174 | 248.99.9.90/31 | 248.99.9.90 to 248.99.9.91 | — | 2 |
| 175 | 248.99.9.92/31 | 248.99.9.92 to 248.99.9.93 | — | 2 |
| 176 | 248.99.9.94/31 | 248.99.9.94 to 248.99.9.95 | — | 2 |
| 177 | 248.99.9.96/31 | 248.99.9.96 to 248.99.9.97 | — | 2 |
| 178 | 248.99.9.98/31 | 248.99.9.98 to 248.99.9.99 | — | 2 |
| 179 | 248.99.9.100/31 | 248.99.9.100 to 248.99.9.101 | — | 2 |
| 180 | 248.99.9.102/31 | 248.99.9.102 to 248.99.9.103 | — | 2 |
| 181 | 248.99.9.104/31 | 248.99.9.104 to 248.99.9.105 | — | 2 |
| 182 | 248.99.9.106/31 | 248.99.9.106 to 248.99.9.107 | — | 2 |
| 183 | 248.99.9.108/31 | 248.99.9.108 to 248.99.9.109 | — | 2 |
| 184 | 248.99.9.110/31 | 248.99.9.110 to 248.99.9.111 | — | 2 |
| 185 | 248.99.9.112/31 | 248.99.9.112 to 248.99.9.113 | — | 2 |
| 186 | 248.99.9.114/31 | 248.99.9.114 to 248.99.9.115 | — | 2 |
| 187 | 248.99.9.116/31 | 248.99.9.116 to 248.99.9.117 | — | 2 |
| 188 | 248.99.9.118/31 | 248.99.9.118 to 248.99.9.119 | — | 2 |
| 189 | 248.99.9.120/31 | 248.99.9.120 to 248.99.9.121 | — | 2 |
| 190 | 248.99.9.122/31 | 248.99.9.122 to 248.99.9.123 | — | 2 |
| 191 | 248.99.9.124/31 | 248.99.9.124 to 248.99.9.125 | — | 2 |
| 192 | 248.99.9.126/31 | 248.99.9.126 to 248.99.9.127 | — | 2 |
| 193 | 248.99.9.128/31 | 248.99.9.128 to 248.99.9.129 | — | 2 |
| 194 | 248.99.9.130/31 | 248.99.9.130 to 248.99.9.131 | — | 2 |
| 195 | 248.99.9.132/31 | 248.99.9.132 to 248.99.9.133 | — | 2 |
| 196 | 248.99.9.134/31 | 248.99.9.134 to 248.99.9.135 | — | 2 |
| 197 | 248.99.9.136/31 | 248.99.9.136 to 248.99.9.137 | — | 2 |
| 198 | 248.99.9.138/31 | 248.99.9.138 to 248.99.9.139 | — | 2 |
| 199 | 248.99.9.140/31 | 248.99.9.140 to 248.99.9.141 | — | 2 |
| 200 | 248.99.9.142/31 | 248.99.9.142 to 248.99.9.143 | — | 2 |
| 201 | 248.99.9.144/31 | 248.99.9.144 to 248.99.9.145 | — | 2 |
| 202 | 248.99.9.146/31 | 248.99.9.146 to 248.99.9.147 | — | 2 |
| 203 | 248.99.9.148/31 | 248.99.9.148 to 248.99.9.149 | — | 2 |
| 204 | 248.99.9.150/31 | 248.99.9.150 to 248.99.9.151 | — | 2 |
| 205 | 248.99.9.152/31 | 248.99.9.152 to 248.99.9.153 | — | 2 |
| 206 | 248.99.9.154/31 | 248.99.9.154 to 248.99.9.155 | — | 2 |
| 207 | 248.99.9.156/31 | 248.99.9.156 to 248.99.9.157 | — | 2 |
| 208 | 248.99.9.158/31 | 248.99.9.158 to 248.99.9.159 | — | 2 |
| 209 | 248.99.9.160/31 | 248.99.9.160 to 248.99.9.161 | — | 2 |
| 210 | 248.99.9.162/31 | 248.99.9.162 to 248.99.9.163 | — | 2 |
| 211 | 248.99.9.164/31 | 248.99.9.164 to 248.99.9.165 | — | 2 |
| 212 | 248.99.9.166/31 | 248.99.9.166 to 248.99.9.167 | — | 2 |
| 213 | 248.99.9.168/31 | 248.99.9.168 to 248.99.9.169 | — | 2 |
| 214 | 248.99.9.170/31 | 248.99.9.170 to 248.99.9.171 | — | 2 |
| 215 | 248.99.9.172/31 | 248.99.9.172 to 248.99.9.173 | — | 2 |
| 216 | 248.99.9.174/31 | 248.99.9.174 to 248.99.9.175 | — | 2 |
| 217 | 248.99.9.176/31 | 248.99.9.176 to 248.99.9.177 | — | 2 |
| 218 | 248.99.9.178/31 | 248.99.9.178 to 248.99.9.179 | — | 2 |
| 219 | 248.99.9.180/31 | 248.99.9.180 to 248.99.9.181 | — | 2 |
| 220 | 248.99.9.182/31 | 248.99.9.182 to 248.99.9.183 | — | 2 |
| 221 | 248.99.9.184/31 | 248.99.9.184 to 248.99.9.185 | — | 2 |
| 222 | 248.99.9.186/31 | 248.99.9.186 to 248.99.9.187 | — | 2 |
| 223 | 248.99.9.188/31 | 248.99.9.188 to 248.99.9.189 | — | 2 |
| 224 | 248.99.9.190/31 | 248.99.9.190 to 248.99.9.191 | — | 2 |
| 225 | 248.99.9.192/31 | 248.99.9.192 to 248.99.9.193 | — | 2 |
| 226 | 248.99.9.194/31 | 248.99.9.194 to 248.99.9.195 | — | 2 |
| 227 | 248.99.9.196/31 | 248.99.9.196 to 248.99.9.197 | — | 2 |
| 228 | 248.99.9.198/31 | 248.99.9.198 to 248.99.9.199 | — | 2 |
| 229 | 248.99.9.200/31 | 248.99.9.200 to 248.99.9.201 | — | 2 |
| 230 | 248.99.9.202/31 | 248.99.9.202 to 248.99.9.203 | — | 2 |
| 231 | 248.99.9.204/31 | 248.99.9.204 to 248.99.9.205 | — | 2 |
| 232 | 248.99.9.206/31 | 248.99.9.206 to 248.99.9.207 | — | 2 |
| 233 | 248.99.9.208/31 | 248.99.9.208 to 248.99.9.209 | — | 2 |
| 234 | 248.99.9.210/31 | 248.99.9.210 to 248.99.9.211 | — | 2 |
| 235 | 248.99.9.212/31 | 248.99.9.212 to 248.99.9.213 | — | 2 |
| 236 | 248.99.9.214/31 | 248.99.9.214 to 248.99.9.215 | — | 2 |
| 237 | 248.99.9.216/31 | 248.99.9.216 to 248.99.9.217 | — | 2 |
| 238 | 248.99.9.218/31 | 248.99.9.218 to 248.99.9.219 | — | 2 |
| 239 | 248.99.9.220/31 | 248.99.9.220 to 248.99.9.221 | — | 2 |
| 240 | 248.99.9.222/31 | 248.99.9.222 to 248.99.9.223 | — | 2 |
| 241 | 248.99.9.224/31 | 248.99.9.224 to 248.99.9.225 | — | 2 |
| 242 | 248.99.9.226/31 | 248.99.9.226 to 248.99.9.227 | — | 2 |
| 243 | 248.99.9.228/31 | 248.99.9.228 to 248.99.9.229 | — | 2 |
| 244 | 248.99.9.230/31 | 248.99.9.230 to 248.99.9.231 | — | 2 |
| 245 | 248.99.9.232/31 | 248.99.9.232 to 248.99.9.233 | — | 2 |
| 246 | 248.99.9.234/31 | 248.99.9.234 to 248.99.9.235 | — | 2 |
| 247 | 248.99.9.236/31 | 248.99.9.236 to 248.99.9.237 | — | 2 |
| 248 | 248.99.9.238/31 | 248.99.9.238 to 248.99.9.239 | — | 2 |
| 249 | 248.99.9.240/31 | 248.99.9.240 to 248.99.9.241 | — | 2 |
| 250 | 248.99.9.242/31 | 248.99.9.242 to 248.99.9.243 | — | 2 |
| 251 | 248.99.9.244/31 | 248.99.9.244 to 248.99.9.245 | — | 2 |
| 252 | 248.99.9.246/31 | 248.99.9.246 to 248.99.9.247 | — | 2 |
| 253 | 248.99.9.248/31 | 248.99.9.248 to 248.99.9.249 | — | 2 |
| 254 | 248.99.9.250/31 | 248.99.9.250 to 248.99.9.251 | — | 2 |
| 255 | 248.99.9.252/31 | 248.99.9.252 to 248.99.9.253 | — | 2 |
| 256 | 248.99.9.254/31 | 248.99.9.254 to 248.99.9.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |